<?php

namespace Database\Seeders;

use Carbon\Carbon;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class BBSModes extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
		DB::table('modes')
			->insert([
				'created_at'=>Carbon::now(),
				'updated_at'=>Carbon::now(),
				'name'=>'Viewdata',
				'note'=>'Original 40x25 Viewdata'
			]);

		DB::table('modes')
			->insert([
				'created_at'=>Carbon::now(),
				'updated_at'=>Carbon::now(),
				'name'=>'Ansi',
				'note'=>'ANSItex 80x25 mode, ANSI + Videotex'
			]);

		DB::table('cugs')
			->insert([
				'id'=>0,
				'created_at'=>Carbon::now(),
				'updated_at'=>Carbon::now(),
				'name'=>'All Users',
				'description'=>'These frames are visible to all users. All frames belong to this CUG, unless specified.',
			]);
    }
}
